%define name js_of_ocaml
%define version 1.0.9
%define release %mkrel 4

Summary: A compiler of OCaml byte-code to Javascript
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: http://ocsigen.org/download/%{name}-%{version}.tar.gz
License: LGPLv2 with exceptions
Group:   Development/Other
Url:     http://ocsigen.org/js_of_ocaml/

BuildRequires: ocaml
BuildRequires: ocaml-lwt-devel
BuildRequires: ocaml-findlib
BuildRequires: camlp4
BuildRequires: ocaml-deriving-ocsigen-devel
Requires: ocaml-%{name} = %{version}-%{release}


%description 
js_of_ocaml is a compiler of OCaml byte-code to Javascript.  It makes it
possible to run Ocaml programs in a Web browser.
Its key features are the following:
* the whole language, and most of the standard library are
supported;
* the generated code can be used with any web server and browser;
* you can use a standard installation of OCaml to compile your
programs. In particular, you do not have to recompile a library to
use it with Js_of_ocaml. You just have to link your program with a
specific library to interface with the browser APIs.


%package -n ocaml-%{name}
Summary: Runtime files for %{name}
Group:   Development/Other
Requires: ocaml-deriving-ocsigen
Requires: ocaml-lwt

%description -n ocaml-%{name} 
The ocaml-%{name} package contains the bytecode libraries for running
applications that use %{name}.

%package -n ocaml-%{name}-devel
Summary: Development files for %{name}
Group:   Development/Other
Requires: ocaml-%{name} = %{version}-%{release}
Requires: ocaml-deriving-ocsigen-devel
Requires: ocaml-lwt-devel

%description -n ocaml-%{name}-devel 
The ocaml-%{name}-devel package contains the signature
files for developing applications that use %{name}.


%package doc
Summary: Documentation for the js_of_ocaml compiler
Group:   Books/Computer books
Requires: %{name} = %{version}-%{release}

%description doc
Documentation for the js_of_ocaml compiler.


%prep
%setup -q
sed -ri -e 's|/usr/local/bin|%{buildroot}%{_bindir}|g' Makefile.conf


%build
make


%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install
make -C examples clean


%files
%{_bindir}/js_of_ocaml

%files -n ocaml-%{name}
%dir %{_libdir}/ocaml/%{name}
%{_libdir}/ocaml/%{name}/META
%{_libdir}/ocaml/%{name}/*.cma
%{_libdir}/ocaml/%{name}/*.cmi
%{_libdir}/ocaml/%{name}/*.cmxs
%{_libdir}/ocaml/%{name}/pa_js.cmo
%{_libdir}/ocaml/%{name}/pa_deriving_Json.cmo
%{_libdir}/ocaml/%{name}/*.js
%{_libdir}/ocaml/stublibs/*.so*

%files -n ocaml-%{name}-devel
%{_libdir}/ocaml/%{name}/*.mli
%{_libdir}/ocaml/%{name}/*.a
%{_libdir}/ocaml/%{name}/*.cmxa
%{_libdir}/ocaml/%{name}/*.cmx

%files doc
%doc LICENSE README examples doc/api-html doc/manual-aux doc/manual-wiki


%changelog

* Fri Apr 06 2012 malo <malo> 1.0.9-4.mga2
+ Revision: 228819
- adding missing requires to ocaml-lwt

* Fri Feb 24 2012 malo <malo> 1.0.9-3.mga2
+ Revision: 213906
- fix requires.

* Thu Feb 23 2012 malo <malo> 1.0.9-2.mga2
+ Revision: 212457
- missing deriving-json files due to missing ocaml-deriving-ocsigen package

* Wed Feb 08 2012 malo <malo> 1.0.9-1.mga2
+ Revision: 206216
- imported package js_of_ocaml

